ome-common 5.3.2

Classes | Public Types | Public Member Functions | List of all members
ome::common::xml::dom::NodeList Class Reference

DOM NodeList wrapper. More...

`#include <ome/common/xml/dom/NodeList.h>`

Inheritance diagram for ome::common::xml::dom::NodeList:
[legend]
Collaboration diagram for ome::common::xml::dom::NodeList:
[legend]

## Classes
class | iterator
| Iterator for a NodeList. More...

## Public Types
typedef XMLSize_t | size_type
| The NodeList size type.
Public Types inherited from ome::common::xml::dom::Wrapper< xercesc::DOMNodeList, Base< xercesc::DOMNodeList > >
typedef Base< xercesc::DOMNodeList > | parent_type
| Parent type.
typedef parent_type::base_type | base_type
| Base type.
typedef parent_type::base_element_type | base_element_type
| Base element type.
typedef xercesc::DOMNodeList | element_type
| Wrapped Xerces element type.
Public Types inherited from ome::common::xml::dom::Base< xercesc::DOMNodeList >
typedef Base | base_type
| Base type.
typedef xercesc::DOMNodeList | base_element_type
| Base element type (root type of the wrapped type).

## Public Member Functions
| NodeList ()
| Construct a NULL NodeList.
| NodeList (const NodeList &nodelist)
| Copy construct a NodeList. More...
| NodeList (xercesc::DOMNodeList *nodelist)
| Construct a NodeList from a xercesc::DOMNodeList * (unmanaged). More...
| ~NodeList ()
| Destructor.
size_type | size () const
| Get the size (length) of the NodeList. More...
bool | empty () const
| Check if the NodeList is empty. More...
iterator | begin ()
| Get an iterator pointing to the first element in the NodeList. More...
iterator | end ()
| Get an iterator pointing to the past-the-end element in the NodeList. More...
Node | at (size_type index)
| Get the element at a particular index. More...
Public Member Functions inherited from ome::common::xml::dom::Wrapper< xercesc::DOMNodeList, Base< xercesc::DOMNodeList > >
| Wrapper ()
| Constructor.
| Wrapper (const base_type &base)
| Copy construct a Wrapper. More...
| Wrapper (typename parent_type::base_element_type *base, Deleter del)
| Construct a Wrapper from a base_element_type * (managed). More...
| Wrapper (typename parent_type::base_element_type *base)
| Construct a Wrapper from a base_element_type * (unmanaged). More...
| ~Wrapper ()
| Destructor.
element_type * | get ()
| Get wrapped element_type *. More...
const element_type * | get () const
| Get wrapped element_type *. More...
Wrapper & | operator= (const Wrapper &wrapped)
| Assign a Wrapper. More...
element_type & | operator* () noexcept
| Dereference to element_type. More...
const element_type & | operator* () const noexcept
| Dereference to const element_type. More...
element_type * | operator-> () noexcept
| Dereference to element_type. More...
const element_type * | operator-> () const noexcept
| Dereference to const element_type. More...
Public Member Functions inherited from ome::common::xml::dom::Base< xercesc::DOMNodeList >
| Base ()
| Constructor.
| Base (base_element_type *wrapped, Deleter del)
| Construct with initial wrapped value (managed). More...
| Base (base_element_type *wrapped)
| Construct with initial wrapped value (unmanaged). More...
virtual | ~Base ()
| Destructor.
base_element_type * | get ()
| Get wrapped base_element_type *. More...
const base_element_type * | get () const
| Get wrapped base_element_type *. More...
| operator bool () const
| Check if the wrapped type is NULL. More...
void | reset ()
| Free the managed resource. More...

## Additional Inherited Members
Protected Member Functions inherited from ome::common::xml::dom::Wrapper< xercesc::DOMNodeList, Base< xercesc::DOMNodeList > >
virtual void | assign (const base_type &wrapped)
| Assign a new wrapped value. More...
virtual void | assign (ome::compat::shared_ptr< base_element_type > &wrapped)
| Assign a new wrapped value. More...
Protected Member Functions inherited from ome::common::xml::dom::Base< xercesc::DOMNodeList >
virtual void | null_check () const
| Check if the wrapped type is NULL. More...
D * | assign_check (base_element_type *newbase)
| Check that a new wrapped value is of the correct derived type. More...

## Detailed Description

DOM NodeList wrapper.

The wrapper behaves as though is the wrapped DOMNodeList; it can be dereferenced using the "*" or "->" operators to obtain a reference or pointer to the wrapped object. It can also be cast to a pointer to the wrapped object, so can substitute for it directly.

## Constructor & Destructor Documentation

## § NodeList() [1/2]

ome::common::xml::dom::NodeList::NodeList | ( | const NodeList & | nodelist | ) |
| inline

Copy construct a NodeList.

Parameters

  nodelist | the NodeList to copy.

## § NodeList() [2/2]

ome::common::xml::dom::NodeList::NodeList | ( | xercesc::DOMNodeList * | nodelist | ) |
| inline

Construct a NodeList from a xercesc::DOMNodeList * (unmanaged).

Parameters

  nodelist | the NodeList to wrap.

## Member Function Documentation

## § at()

Node ome::common::xml::dom::NodeList::at | ( | size_type | index | ) |

Get the element at a particular index.

Parameters

  index | the index of the element.

Returns
  the Node at the specified index.

Referenced by end().

Here is the caller graph for this function:

## § begin()

iterator ome::common::xml::dom::NodeList::begin | ( |  | ) |
| inline

Get an iterator pointing to the first element in the NodeList.

Returns
  an iterator pointing to the first element in the NodeList.

References ome::common::xml::dom::NodeList::iterator::iterator().

## § empty()

bool ome::common::xml::dom::NodeList::empty | ( |  | ) | const
| inline

Check if the NodeList is empty.

Returns
  `true` if empty, `false` if not empty.

References size().

## § end()

iterator ome::common::xml::dom::NodeList::end | ( |  | ) |
| inline

Get an iterator pointing to the past-the-end element in the NodeList.

Returns
  an iterator pointing to the past-the-end element in the NodeList.

References at(), ome::common::xml::dom::NodeList::iterator::index, and ome::common::xml::dom::NodeList::iterator::iterator().

## § size()

size_type ome::common::xml::dom::NodeList::size | ( |  | ) | const
| inline

Get the size (length) of the NodeList.

Returns
  the list size.

Referenced by empty().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/common/xml/dom/NodeList.h
- ome/common/xml/dom/NodeList.cpp